package org.crosswire.common.swing.plaf;

import java.awt.Insets;
import javax.swing.UIManager;


/**
 * Contains base UI defaults for all platforms.
 */
public abstract class BaseLFCustoms 
{   
    /**
     * Constructor
     */
    public BaseLFCustoms() 
    { 
    }
    
    /**
     * Calling this method installs base and platform specfic UI defaults
     */
    public void initUIDefaults() 
    {
        initBaseUIDefaults();
        initPlatformUIDefaults();
    } 
    
    /**
     * Init UI Defaults value applicable to all platforms
     */
    private void initBaseUIDefaults()
    {
        // Specify defaults applicable to all platforms here
    }
    
    /**
     * This method does nothing. Subclass should override this to install platform 
     * specific UI defaults
     */
    protected void initPlatformUIDefaults() 
    {
    }
}
