package org.crosswire.common.swing.plaf;

import java.awt.Insets;
import javax.swing.BorderFactory;
import javax.swing.UIManager;
import javax.swing.border.Border;



public class MetalLFCustoms extends BaseLFCustoms
{
    
    public MetalLFCustoms() 
    {
        super();
    }
    
    /**
     * Install Metal platform specific UI defaults
     */
    protected void initPlatformUIDefaults() 
    {
        // Border panelSelectBorder = BorderFactory.createEmptyBorder(5, 5, 5, 5);
        Border panelSelectBorder = BorderFactory.createCompoundBorder(
            new MetalPanelBorder(MetalPanelBorder.TOP | MetalPanelBorder.LEFT | MetalPanelBorder.RIGHT), 
            BorderFactory.createEmptyBorder(5, 5, 5, 5));
        
        Object[] metalUIDefaults = new Object[] {
            "TabbedPane.contentBorderInsets", new Insets(1, 0, 0, 0),
            "SplitPane.dividerSize", new Integer(5),
            "SelectPanel.border", panelSelectBorder
        };
        
        UIManager.getDefaults().putDefaults(metalUIDefaults);
    }
}
