package org.crosswire.common.swing.plaf;
import java.awt.Color;
import java.awt.Insets;
import javax.swing.BorderFactory;
import javax.swing.UIManager;
import javax.swing.border.Border;
import javax.swing.border.LineBorder;


public class WindowsLFCustoms extends BaseLFCustoms
{
    
    public WindowsLFCustoms() 
    {
        super();
    }
    
    /**
     * Install Windows platform specific UI defaults
     */
    protected void initPlatformUIDefaults() 
    {
        Border tabbedPanePanelBorder = null;
        Color standardBorderColor = null;
        Object windowsScrollPaneborder = UIManager.get("ScrollPane.border");
        if (windowsScrollPaneborder != null) 
        {
            standardBorderColor = ((LineBorder) windowsScrollPaneborder).getLineColor();
            tabbedPanePanelBorder = new LineBorder(standardBorderColor);
        }
        
        Border panelSelectBorder = BorderFactory.createCompoundBorder(
            BorderFactory.createMatteBorder(1, 1, 0, 1, standardBorderColor),
            BorderFactory.createEmptyBorder(5, 5, 5, 5));
        
        Object[] windowsUIDefaults = new Object[]
        {
            "TabbedPane.contentBorderInsets", new Insets(1, 0, 0, 0),
            "TabbedPanePanel.border", tabbedPanePanelBorder,
            "StandardBorder.color", standardBorderColor,
            "SelectPanel.border",panelSelectBorder
        };
        
        UIManager.getDefaults().putDefaults(windowsUIDefaults);
    }
}
